Skip to content

Create a Marketplace

Request

Create a marketplace

Security
Auth0(Required scopes: offline_accessmanage:services)
Bodyapplication/json
namestring, non-emptyrequired
supply_typestring, non-empty
statusboolean
rtb_enabledboolean
strategy_idinteger, (int32)required
Example:5
codestring, non-empty
bidder_exchange_identifierinteger, (int32)
Example:8
rtb_typestring, non-empty
has_displayboolean
has_mobile_displayboolean
has_videoboolean
has_mobile_videoboolean
requires_creative_auditboolean
has_desktop_videoboolean
has_connected_tvboolean
mma_freeboolean
privateboolean
mkt_sell_pricenumber or null, (float), >= -1
mkt_sell_price_currency_codestring or null, = 3 characters
Example:"USD"
permission_organizationsArray of integers, (int32)
Example:
[ 7 ]
permission_agenciesArray of integers, (int32)
Example:
[ 9 ]
curl -i -X POST \
  https://api.mediamath.com/api/v3.0/marketplaces \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "supply_type": "string",
    "status": true,
    "rtb_enabled": true,
    "strategy_id": 5,
    "code": "string",
    "bidder_exchange_identifier": 8,
    "rtb_type": "string",
    "has_display": true,
    "has_mobile_display": true,
    "has_video": true,
    "has_mobile_video": true,
    "requires_creative_audit": true,
    "has_desktop_video": true,
    "has_connected_tv": true,
    "mma_free": true,
    "private": true,
    "mkt_sell_price": -1,
    "mkt_sell_price_currency_code": "USD",
    "permission_organizations": [
      7
    ],
    "permission_agencies": [
      9
    ]
  }'

Responses

Marketplace response

Bodyapplication/json
dataobject(marketplace_full_response)
metaobject(single_metadata)
Response
{ "data": { "id": 33, "version": 3, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "name": "string", "supply_type": "string", "status": true, "rtb_enabled": true, "strategy_id": 5, "code": "string", "bidder_exchange_identifier": 8, "rtb_type": "string", "has_display": true, "has_mobile_display": true, "has_video": true, "has_mobile_video": true, "requires_creative_audit": true, "has_desktop_video": true, "has_connected_tv": true, "mma_free": true, "private": true, "mkt_sell_price": -1, "mkt_sell_price_currency_code": "USD", "permission_organizations": [ … ], "permission_agencies": [ … ] }, "meta": { "status": "success" } }